agents.localModel

## Class LocalModelFirstExp

- java.lang.Object
- - agents.Agent
  - - agents.SystemAgent
    - - agents.localModel.LocalModelAgent
      - - agents.localModel.LocalModelFirstExp

All Implemented Interfaces:
  java.io.Serializable

    public class LocalModelFirstExp
    extends LocalModelAgent
    implements java.io.Serializable

A simple local model which uses only the value of the first experiment. Useful for output like integer.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LocalModelFirstExp(World world)` Instantiates a new local model first exp.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getFormula(Context context)` Gets the formula.
`double` `getProposition(Context context)` Gets the proposition.
`double` `getProposition(Context context, Percept p1, Percept p2, double v1, double v2)` Version of getProposition for 2D display.
`void` `updateModel(Context context)` Update model.

### Methods inherited from class agents.localModel.LocalModelAgent

`computeAMessage, die, getTargets`

### Methods inherited from class agents.SystemAgent

`getWorld, play, setWorld`

### Methods inherited from class agents.Agent

`getID, getMessages, getMessagesBin, getName, isDying, readMessage, sendExpressMessage, sendMessage, sendMessage, setDying, setID, setMessages, setMessagesBin, setName`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalModelFirstExp

    public LocalModelFirstExp(World world)

Instantiates a new local model first exp.

Parameters:
  `world` - the world

### Method Detail

#### getProposition

    public double getProposition(Context context)

Description copied from class: `LocalModelAgent`
Gets the proposition.

Specified by:
  `getProposition` in class `LocalModelAgent`
Parameters:
  `context` - the context
Returns:
  the proposition

#### getProposition

    public double getProposition(Context context,
                                 Percept p1,
                                 Percept p2,
                                 double v1,
                                 double v2)

Description copied from class: `LocalModelAgent`
Version of getProposition for 2D display.

Specified by:
  `getProposition` in class `LocalModelAgent`
Parameters:
  `context` - the context
  `p1` - the p 1
  `p2` - the p 2
  `v1` - the v 1
  `v2` - the v 2
Returns:
  the proposition

#### getFormula

    public java.lang.String getFormula(Context context)

Description copied from class: `LocalModelAgent`
Gets the formula.

Specified by:
  `getFormula` in class `LocalModelAgent`
Parameters:
  `context` - the context
Returns:
  the formula

#### updateModel

    public void updateModel(Context context)

Description copied from class: `LocalModelAgent`
Update model.

Specified by:
  `updateModel` in class `LocalModelAgent`
Parameters:
  `context` - the context